Wsparcie » Instalacja » Błąd dotyczący szablonu

  • Strona zbudowana jest na woocommerce. Występuje błąd u góry po przeniesieniu na nowy hosting. Musiałem podnieść wersje php na 7.x i wtedy to występuje błąd:
    Warning: Declaration of Revo_Mega_Menu_Walker::walk($elements, $max_depth) should be compatible with Walker::walk($elements, $max_depth, ...$args) in /domains/bubibaby.pl/public_html/wp-content/themes/revo/lib/nav.php on line 552
    Linijka jaka tam występuje to:
    class Revo_Mega_Menu_Walker extends Walker_Nav_Menu {
    Czy jest możliwość samemu to naprawić czy muszę kupować kosztowną aktualizację?

    Strona przy której potrzebuję pomocy: [zaloguj się aby zobaczyć ten link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • ok naprawiłem
    Trzeba było zmienić funkcje na
    function walk( $elements, $max_depth, …$args ){

    Jest. M.in. zmienić ln. 766 na:
    function walk( $elements, $max_depth, ...$args ){
    i usunąć ln. 767.

    Ale ponieważ korzystasz z motywu, który i tak nie został kupiony, lepiej jest wysupłać te niewiele ponad 250zł na zakup pewnej, legalnej wersji i mieć aktualizacje z głowy.

    Nie o to chodzi. To nie moja strona ja tylko ją przenosiłem. Właściciel musiałby tą aktualizacje zakupywać co roku za $21. Nawet nie pisałem mu o tym, że jest błąd. Wolę naprawić, a że znalazłem odpowiedź sam…

    Właściciel musiałby tą aktualizacje zakupywać co roku za $21

    Nie. Kupuje raz za 69$ i aktualizacje ma już dożywotnio w tej cenie -niczego nie musi dokupować.

    21$, to jest rozszerzony do 12mc support, czyli dodatkowy dostęp do dedykowanego, zamkniętego działu pomocy. (czyli coś zupełnie innego i nieobowiązkowego).

    I to jest ok. Skąd wiesz, że właściciel nie zakupił tego szablonu?

    Nagłówek pliku style.css zdradza źródło pochodzenia.

    To znaczy jaki nagłówek?

    plik /wp-content/themes/revo/style.css, a w nim:

    /*
    Theme Name:         Revo | Shared By ***
    Theme URI:          http://demo.wpthemego.com/themes/sw_revo/
    Description:        SW Revo is a modern, clean and professional WooCommerce WordPress theme. It is built to well suit for any online stores: electronics store, fashion store, jewelry store...
    Author:             wpthemego
    Author URI:         http://www.wpthemego.com/
    Version:            2.3.1
    License:            GNU General Public License v2 or later
    */

    -w pierwszej linijce w miejscu gwiazdek jest źródło z jakiego został pobrany

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Błąd dotyczący szablonu’ is closed to new replies.